<template>
  <div class="row q-gutter-xl">
    <div v-for="(place, index) in places" :key="index">
      <q-card
        flat
        class="background-color"
        style="max-width: 300px"
        clickable
        @click="gotoPlace(place.id)"
      >
        <q-img
          :src="place.image"
          style="height: 300px; width: 300px; border-radius: 20px"
          class="rounded-borders"
        ></q-img>
        <div class="text-h6 q-my-sm">{{ place.title }}</div>
        {{ place.short_description }}
      </q-card>
    </div>
  </div>
  <q-page-sticky position="bottom" :offset="[40, 40]">
    <q-btn
      to="map"
      unelevated
      rounded
      no-caps
      padding="md xl"
      color="grey-10"
      text-color="white"
      label="Ver Mapa"
      icon="map"
    ></q-btn>
  </q-page-sticky>
</template>

<script lang="ts">
import { defineComponent, PropType } from 'vue';
import { Place } from 'src/models/Place';

export default defineComponent({
  name: 'PlacesList',
  props: {
    places: {
      type: Array as PropType<Place[]>,
      required: true,
    },
  },
  methods: {
    gotoPlace(id: number) {
      this.$router.push({ path: `/places/${id}` });
    },
  },
  setup(props) {
    props.places;
  },
});
</script>
